LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XInterceptorInfo Interface Referencepublished

makes it possible to get information about a registered interceptor and is used by frame interceptor mechanism to perform interception. More...

`import <XInterceptorInfo.idl;`

Inheritance diagram for XInterceptorInfo:

## Public Member Functions
sequence< string > | getInterceptedURLs ()
| returns the URL list for interception.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to get information about a registered interceptor and is used by frame interceptor mechanism to perform interception.

Frame can call right interceptor directly without calling all of registered ones. Use it as an additional interface to XDispatchProviderInterceptor. If any interceptor in list doesn't support this interface - these mechanism will be broken and normal list of master-slave interceptor objects will be used from top to the bottom.

See also
  XDispatchProviderInterception
  XDispatchProviderInterceptor

## Member Function Documentation

## ◆ getInterceptedURLs()

sequence< string > getInterceptedURLs | ( |  | ) |

returns the URL list for interception.

Wildcards inside the URLs are allowed to register the interceptor for URLs too, which can have optional arguments (e.g. "..#.." or "..?..").

Returns
  a list of URLs which are handled by this interceptor

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XInterceptorInfo.idl